Package commoble.morered.client

# Class SolderingScreen

java.lang.Object
net.minecraft.client.gui.components.events.AbstractContainerEventHandler
net.minecraft.client.gui.screens.Screen
net.minecraft.client.gui.screens.inventory.AbstractContainerScreen<SolderingMenu>
commoble.morered.client.SolderingScreen

All Implemented Interfaces:
  `net.minecraft.client.gui.components.events.ContainerEventHandler`, `net.minecraft.client.gui.components.events.GuiEventListener`, `net.minecraft.client.gui.components.Renderable`, `net.minecraft.client.gui.components.TabOrderedElement`, `net.minecraft.client.gui.screens.inventory.MenuAccess<SolderingMenu>`

public class SolderingScreen extends net.minecraft.client.gui.screens.inventory.AbstractContainerScreen<SolderingMenu>

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`SolderingScreen.RecipeButton`
`static class`
`SolderingScreen.SolderingScrollPanel`

## Nested classes/interfaces inherited from class net.minecraft.client.gui.screens.Screen

`net.minecraft.client.gui.screens.Screen.NarratableSearchResult`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final net.minecraft.resources.ResourceLocation`
`CRAFTING_SCREEN`
`static final int`
`SCROLLPANEL_HEIGHT`
`static final int`
`SCROLLPANEL_WIDTH`
`static final int`
`SCROLLPANEL_X`
`static final int`
`SCROLLPANEL_Y`
`static final net.minecraft.resources.ResourceLocation`
`TRADING_SCREEN`

### Fields inherited from class net.minecraft.client.gui.screens.inventory.AbstractContainerScreen

`hoveredSlot, imageHeight, imageWidth, INVENTORY_LOCATION, inventoryLabelX, inventoryLabelY, isQuickCrafting, leftPos, menu, playerInventoryTitle, quickCraftSlots, SLOT_ITEM_BLIT_OFFSET, slotColor, titleLabelX, titleLabelY, topPos`

### Fields inherited from class net.minecraft.client.gui.screens.Screen

`CUBE_MAP, font, FOOTER_SEPARATOR, HEADER_SEPARATOR, height, INWORLD_FOOTER_SEPARATOR, INWORLD_HEADER_SEPARATOR, MENU_BACKGROUND, minecraft, narratorButton, PANORAMA, renderables, screenExecutor, title, width`

### Fields inherited from interface net.minecraft.client.gui.components.events.GuiEventListener

`DOUBLE_CLICK_THRESHOLD_MS`

## Constructor Summary

Constructors
Constructor
Description
`SolderingScreen(SolderingMenu screenContainer, net.minecraft.world.entity.player.Inventory inv, net.minecraft.network.chat.Component titleIn)`

## Method Summary

Modifier and Type
Method
Description
`void`
`init()`
`boolean`
`mouseDragged(double mouseX, double mouseY, int button, double deltaX, double deltaY)`
`void`
`render(net.minecraft.client.gui.GuiGraphics graphics, int mouseX, int mouseY, float partialTicks)`
`protected void`
`renderBg(net.minecraft.client.gui.GuiGraphics graphics, float partialTicks, int mouseX, int mouseY)`
`void`
`renderItemStack(net.minecraft.client.gui.GuiGraphics graphics, net.minecraft.world.item.ItemStack stack, int x, int y)`
`protected void`
`renderTooltip(net.minecraft.client.gui.GuiGraphics graphics, int mouseX, int mouseY)`

### Methods inherited from class net.minecraft.client.gui.screens.inventory.AbstractContainerScreen

`checkHotbarKeyPressed, clearDraggingState, containerTick, getGuiLeft, getGuiTop, getMenu, getSlotColor, getSlotUnderMouse, getTooltipFromContainerItem, getXSize, getYSize, handleSlotStateChanged, hasClickedOutside, isHovering, isPauseScreen, keyPressed, mouseClicked, mouseReleased, onClose, removed, renderBackground, renderLabels, renderSlot, renderSlotContents, renderSlotHighlight, renderSlotHighlight, renderSlotHighlight, slotClicked, tick`

### Methods inherited from class net.minecraft.client.gui.screens.Screen

`added, addRenderableOnly, addRenderableWidget, addWidget, afterKeyboardAction, afterMouseAction, afterMouseMove, changeFocus, children, clearFocus, clearTooltipForNextRenderPass, clearWidgets, findNarratableWidget, getBackgroundMusic, getMinecraft, getNarrationMessage, getRectangle, getTitle, getTooltipFromItem, getUsageNarration, handleComponentClicked, handleDelayedNarration, hasAltDown, hasControlDown, hasShiftDown, init, insertText, isCopy, isCut, isMouseOver, isPaste, isSelectAll, isValidCharacterForName, onFilesDrop, rebuildWidgets, removeWidget, renderBlurredBackground, renderMenuBackground, renderMenuBackground, renderMenuBackgroundTexture, renderPanorama, renderTransparentBackground, renderWithTooltip, repositionElements, resize, setInitialFocus, setInitialFocus, setTooltipForNextRenderPass, setTooltipForNextRenderPass, setTooltipForNextRenderPass, setTooltipForNextRenderPass, shouldCloseOnEsc, shouldNarrateNavigation, triggerImmediateNarration, updateNarratedWidget, updateNarrationState, updateNarratorStatus, wrapScreenError`

### Methods inherited from class net.minecraft.client.gui.components.events.AbstractContainerEventHandler

`getFocused, isDragging, setDragging, setFocused`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.minecraft.client.gui.components.events.ContainerEventHandler

`charTyped, getChildAt, getCurrentFocusPath, isFocused, keyReleased, mouseScrolled, nextFocusPath, setFocused`

### Methods inherited from interface net.minecraft.client.gui.components.events.GuiEventListener

`mouseMoved`

### Methods inherited from interface net.minecraft.client.gui.components.TabOrderedElement

`getTabOrderGroup`

## Field Details

### TRADING_SCREEN

public static final net.minecraft.resources.ResourceLocation TRADING_SCREEN

### CRAFTING_SCREEN

public static final net.minecraft.resources.ResourceLocation CRAFTING_SCREEN

### SCROLLPANEL_X

public static final int SCROLLPANEL_X

See Also:
  - Constant Field Values

### SCROLLPANEL_Y

public static final int SCROLLPANEL_Y

See Also:
  - Constant Field Values

### SCROLLPANEL_WIDTH

public static final int SCROLLPANEL_WIDTH

See Also:
  - Constant Field Values

### SCROLLPANEL_HEIGHT

public static final int SCROLLPANEL_HEIGHT

See Also:
  - Constant Field Values

## Constructor Details

### SolderingScreen

public SolderingScreen(SolderingMenu screenContainer, net.minecraft.world.entity.player.Inventory inv, net.minecraft.network.chat.Component titleIn)

## Method Details

### init

public void init()

Overrides:
  `init` in class `net.minecraft.client.gui.screens.inventory.AbstractContainerScreen<SolderingMenu>`

### render

public void render(net.minecraft.client.gui.GuiGraphics graphics, int mouseX, int mouseY, float partialTicks)

Specified by:
  `render` in interface `net.minecraft.client.gui.components.Renderable`
Overrides:
  `render` in class `net.minecraft.client.gui.screens.inventory.AbstractContainerScreen<SolderingMenu>`

### renderItemStack

public void renderItemStack(net.minecraft.client.gui.GuiGraphics graphics, net.minecraft.world.item.ItemStack stack, int x, int y)

### renderTooltip

protected void renderTooltip(net.minecraft.client.gui.GuiGraphics graphics, int mouseX, int mouseY)

Overrides:
  `renderTooltip` in class `net.minecraft.client.gui.screens.inventory.AbstractContainerScreen<SolderingMenu>`

### renderBg

protected void renderBg(net.minecraft.client.gui.GuiGraphics graphics, float partialTicks, int mouseX, int mouseY)

Specified by:
  `renderBg` in class `net.minecraft.client.gui.screens.inventory.AbstractContainerScreen<SolderingMenu>`

### mouseDragged

public boolean mouseDragged(double mouseX, double mouseY, int button, double deltaX, double deltaY)

Specified by:
  `mouseDragged` in interface `net.minecraft.client.gui.components.events.ContainerEventHandler`
Specified by:
  `mouseDragged` in interface `net.minecraft.client.gui.components.events.GuiEventListener`
Overrides:
  `mouseDragged` in class `net.minecraft.client.gui.screens.inventory.AbstractContainerScreen<SolderingMenu>`